Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.teiid
Class VdbManifest.Reader

    java.lang.Object
      org.modeshape.sequencer.teiid.VdbManifest.Reader

Enclosing class:
  VdbManifest

    protected static class VdbManifest.Reader

extends Object

Constructor Summary
`protected` | `VdbManifest.Reader(ExecutionContext context)`

Method Summary
`protected String` | `firstValue(Node node, Name propertyName, String defaultValue)`
`protected String` | `firstValue(Node node, String propertyName)`
`protected boolean` | `firstValue(Node node, String propertyName, boolean defaultValue)`
`protected long` | `firstValue(Node node, String propertyName, long defaultValue)`
`protected String` | `firstValue(Node node, String propertyName, String defaultValue)`
`protected String` | `nameOf(Location location)`
`protected List<String>` | `properties(SubgraphNode node, String propertyName)`
`protected String` | `property(SubgraphNode node, String propertyName)`
`protected boolean` | `property(SubgraphNode node, String propertyName, boolean defaultValue)`
`protected long` | `property(SubgraphNode node, String propertyName, long defaultValue)`
`VdbManifest` | `read(InputStream stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VdbManifest.Reader

    protected VdbManifest.Reader(ExecutionContext context)

Method Detail

### read

    public VdbManifest read(InputStream stream)
                     throws IOException,
                            SAXException

  Throws:
    `IOException`
    `SAXException`

### property

    protected String property(SubgraphNode node,
                              String propertyName)

### properties

    protected List<String> properties(SubgraphNode node,
                                      String propertyName)

### property

    protected long property(SubgraphNode node,
                            String propertyName,
                            long defaultValue)

### property

    protected boolean property(SubgraphNode node,
                               String propertyName,
                               boolean defaultValue)

### firstValue

    protected String firstValue(Node node,
                                String propertyName)

### firstValue

    protected String firstValue(Node node,
                                String propertyName,
                                String defaultValue)

### firstValue

    protected String firstValue(Node node,
                                Name propertyName,
                                String defaultValue)

### firstValue

    protected boolean firstValue(Node node,
                                 String propertyName,
                                 boolean defaultValue)

### firstValue

    protected long firstValue(Node node,
                              String propertyName,
                              long defaultValue)

### nameOf

    protected String nameOf(Location location)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.